summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2016-09-26 23:07:31 +0200
committerMartin Väth <martin@mvath.de>2016-09-26 23:07:31 +0200
commit08a8168b6184fa71452fce520fe87bfd73407e7b (patch)
treebe10e8e9b9b9fd3ce9387a7cc9737c8d20214c87 /sys-apps/cpi/cpi-2.15.ebuild
parentsys-kernel/kernel: Version bump (diff)
downloadmv-08a8168b6184fa71452fce520fe87bfd73407e7b.tar.gz
mv-08a8168b6184fa71452fce520fe87bfd73407e7b.tar.bz2
mv-08a8168b6184fa71452fce520fe87bfd73407e7b.zip
sys-apps/cpi: Version bump
Diffstat (limited to 'sys-apps/cpi/cpi-2.15.ebuild')
-rw-r--r--sys-apps/cpi/cpi-2.15.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/sys-apps/cpi/cpi-2.15.ebuild b/sys-apps/cpi/cpi-2.15.ebuild
new file mode 100644
index 00000000..598e6bf7
--- /dev/null
+++ b/sys-apps/cpi/cpi-2.15.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+RESTRICT="mirror"
+
+DESCRIPTION="A wrapper for cp -i -a, making use of diff"
+HOMEPAGE="https://github.com/vaeth/cpi/"
+SRC_URI="https://github.com/vaeth/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+src_prepare() {
+ use prefix || sed -i \
+ -e '1s"^#!/usr/bin/env sh$"#!'"${EPREFIX}/bin/sh"'"' \
+ -- bin/cpi || die
+ eapply_user
+}
+
+src_install() {
+ dobin bin/cpi
+ insinto /usr/bin
+ doins bin/mvi
+ insinto /usr/share/zsh/site-functions
+ doins zsh/*
+}